package com.ruoyi.tcZz.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.tcZz.domain.TcWljgtj;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.tcZz.mapper.TcWzMapper;
import com.ruoyi.tcZz.domain.TcWz;
import com.ruoyi.tcZz.service.ITcWzService;

/**
 * 网站Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Service
public class TcWzServiceImpl implements ITcWzService 
{
    @Autowired
    private TcWzMapper tcWzMapper;

    /**
     * 查询网站
     * 
     * @param id 网站主键
     * @return 网站
     */
    @Override
    public TcWz selectTcWzById(Long id)
    {
        return tcWzMapper.selectTcWzById(id);
    }

    /**
     * 查询网站列表
     * 
     * @param tcWz 网站
     * @return 网站
     */
    @Override
    public List<TcWz> selectTcWzList(TcWz tcWz)
    {
        return tcWzMapper.selectTcWzList(tcWz);
    }

    /**
     * 新增网站
     * 
     * @param tcWz 网站
     * @return 结果
     */
    @Override
    public int insertTcWz(TcWz tcWz)
    {
        tcWz.setCreateTime(DateUtils.getNowDate());
        return tcWzMapper.insertTcWz(tcWz);
    }

    /**
     * 修改网站
     * 
     * @param tcWz 网站
     * @return 结果
     */
    @Override
    public int updateTcWz(TcWz tcWz)
    {
        tcWz.setUpdateTime(DateUtils.getNowDate());
        return tcWzMapper.updateTcWz(tcWz);
    }

    /**
     * 批量删除网站
     * 
     * @param ids 需要删除的网站主键
     * @return 结果
     */
    @Override
    public int deleteTcWzByIds(Long[] ids)
    {
        return tcWzMapper.deleteTcWzByIds(ids);
    }

    /**
     * 删除网站信息
     * 
     * @param id 网站主键
     * @return 结果
     */
    @Override
    public int deleteTcWzById(Long id)
    {
        return tcWzMapper.deleteTcWzById(id);
    }

    @Override
    public String importUser(List<TcWz> tcWzList) {

        StringBuilder successMsg = new StringBuilder();
        if (!tcWzList.isEmpty()) {
            for (TcWz tcWz : tcWzList) {
                tcWzMapper.insertTcWz(tcWz);
            }
            successMsg.append("导入成功");
        }
        return successMsg.toString();
    }

    @Override
    public void updateByisStatus(Integer isStatus,List<String> ids) {
        tcWzMapper.updateByisStatus(isStatus,ids);
    }
}
